function XYZ = IPT2XYZ(IPT)

%
% XYZ = IPT2XYZ(IPT)
%
% Function for calculating CIE 1931 tristimulus values in XYZ from the appearance scale IPT.
%
% Inputs:   IPT
%
%
% CIE 1931 tristimulus values in XYZ%
%
% Written by Rodney L. Heckaman
% rlh9572@cis.rit.edu
%
% Last Modified 02/20/2012

m_IPT=inv([[0.4000 4.4550 0.8056]' [0.4000 -4.8510 0.3572]' [0.2000 0.3960 -1.1628]']);
LMS=(m_IPT*IPT')';

IX=find(LMS>=0);
LMS(IX)=LMS(IX).^(1/0.43);

IX=find(LMS<0);
LMS(IX)=-(-LMS(IX)).^(1/0.43);

m_LMS=inv([[0.4002 -0.2280 0.0000]' [0.7075 1.1500 0.0000]' [-0.0807 0.0612 0.9184]']);
XYZ=(m_LMS*LMS')';
