function f=Lightness(x)

%
% XYZ = IPT2XYZ(IPT)
%
% Function for calculating maximum lightness at the NCS blackness of zero
% (G0=0)
% from the CIE 1976 chromaticities u'v'
%
%
% CIE 1931 tristimulus values in XYZ%
%
% Written by Rodney L. Heckaman
% rlh9572@cis.rit.edu
%
% Last Modified 02/20/2012

global up vp

upvpl=[up vp x];

Const=makecform('upvpl2xyz');
XYZ=applycform(upvpl,Const);

Output=convert_NCS(XYZ)%Convert XYZ to NCS blackness S and chromaticitness C

S=Output(1);

f=abs(S^2); %Zero S is G0








