function outImage = changeColorSpace(inImage, colorMatrix)

% function outImage = changeColorSpace(inImage, colorMatrix) 
%
% 
%
% The input image consists of three input images, say R,G,B, joined as 
%
%		inImage = [ R G B];
%
% The output image has the same format
%
% The 3 x 3 color matrix converts column vectors in the input image
% representation into column vectors in the output representation.
%
% 
% written by: Garrett M. Johnson
%
% Based on scielab procedure of Wandell and Zhang
%
% Modified: 03/18/01
% Insured the input image is put back into the same format as it was
% passed, if desired
% 
% Modified 02/20/2005
% Clarified comments

inSize = size(inImage);

% We put the pixels in the input image into the rows of a very
% large matrix
%
if length(inSize)==3
    inImage = reshape(inImage, inSize(1)*inSize(2),inSize(3))';
end

% We post-multiply by colorMatrix to convert the pixels to the output 
% color space
%
outImage = colorMatrix*inImage ; 

% Now we put the output image in the basic shape of input, if desired
%
% if length(inSize)==3
%     inImage = reshape(inImage, inSize(1),inSize(2),inSize(3));
%     outImage = reshape(outImage, inSize(1),inSize(2),inSize(3));
% end


